package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.variable.ApiVariableAddRequest;
import com.yd.csf.feign.request.variable.ApiVariableEditRequest;
import com.yd.csf.feign.request.variable.ApiVariablePageRequest;
import com.yd.csf.feign.response.variable.ApiVariableDetailResponse;
import com.yd.csf.feign.response.variable.ApiVariablePageResponse;

public interface ApiVariableService {
    Result<IPage<ApiVariablePageResponse>> page(ApiVariablePageRequest request);

    Result<ApiVariableDetailResponse> detail(String variableBizId);

    Result add(ApiVariableAddRequest request);

    Result edit(ApiVariableEditRequest request);

    Result del(String variableBizId);
}
